Subject: Re: bug#54210: 27.1; appt-add checks for bad data only at end

From: Michael Heerdegen <[email-masked]>
Date: Fri, 04 Mar 2022 00:59:02 +0100

Robert Pluim <[email-masked]> writes:

> How about this (I canʼt find a `read-time-of-day', unless org has one hidden
> away somewhere):

Doesn't look wrong to me.

> +                       (unless (string-match appt-time-regexp time)
> +                         (user-error "Unacceptable time-string"))

I know you just more or less copied that code from the body, but I think
this can be made a `string-match-p' test.  I think that code is just
older than the existence of `string-match-p'.

Michael.